Warning: chmod(): Operation not permitted in /var/www/hopeinstoughton_www/wp-content/plugins/simple-universal-google-analytics/main.php on line 8 [0] in function chmod in /var/www/hopeinstoughton_www/wp-content/plugins/simple-universal-google-analytics/main.php on line 8 [1] in function include_once in /var/www/hopeinstoughton_www/wp-settings.php on line 560 [2] in function require_once in /var/www/hopeinstoughton_www/wp-config.php on line 85 [3] in function require_once in /var/www/hopeinstoughton_www/wp-load.php on line 50 [4] in function require_once in /var/www/hopeinstoughton_www/wp-blog-header.php on line 13 [5] in function require in /var/www/hopeinstoughton_www/index.php on line 17
| Server IP : 94.177.8.99 / Your IP : 216.73.217.165 Web Server : Apache/2.4.58 (Ubuntu) System : Linux aries 6.8.0-134-generic #134-Ubuntu SMP PREEMPT_DYNAMIC Fri Jun 26 18:43:11 UTC 2026 x86_64 User : www-data ( 33) PHP Version : 8.1.34 Disable Function : NONE MySQL : OFF | cURL : ON | WGET : ON | Perl : ON | Python : OFF | Sudo : ON | Pkexec : OFF Directory : /usr/share/finalrd/ |
Upload File : |
#!/bin/sh
# SPDX-License-Identifier: GPL-3.0-only
set -e
if [ "$1" = "setup" ]
then
. /usr/share/initramfs-tools/hook-functions
copy_exec /bin/grep
copy_exec /bin/sleep
copy_exec /usr/sbin/iscsiadm
copy_exec /usr/sbin/iscsid
# hm, not sure why expr is copied
copy_exec /usr/bin/expr
copy_file config /etc/iscsi/iscsid.conf
copy_file config /etc/iscsi/initiatorname.iscsi
# needed to resolve UIDs (LP: #1922976)
copy_exec /usr/lib/*/libnss_files.so.*
exit 0
fi
# if not present in the environment, then fake a trivial passwd file (LP: #1922976)
if [ ! -e /etc/passwd ] ; then
echo "root:x:0:0:root:/:/bin/sh" > /etc/passwd
fi
# re-establish connection and logout during shutdown
# if initramfs did bring up open-iscsi on boot
[ -f /open-iscsi.interface ] || exit 0
iscsid
# After restarting iscsid, wait for an active connection.
# Limit the wait time in case of unexpected failure of iscsid.
MAX_RETRIES=30
RETRY=0
while ! iscsiadm -m session -P 1 | grep -q "iSCSI Connection State: LOGGED IN"; do
RETRY=$(($RETRY + 1))
if [ $RETRY -gt $MAX_RETRIES ]; then
echo "Unexpected iSCSI Connection State, forcing iSCSI logout."
break
fi
sleep 1
done
# Issue an iSCSI logout.
iscsiadm -m node -u